@echo off
set TOOLS=c:\tools

set CONFIG=%TOOLS%\scripts\config
set THEMES=C:\Windows\Resources\Themes
set R=0
set G=0
set B=0

IF %1.==. GOTO USAGE
set R=%1

IF %2.==. GOTO USAGE
set G=%2

IF %3.==. GOTO USAGE
set B=%3

echo ####### %0 #######

isuseradmin
if %ERRORLEVEL% == 0 (
  echo Copying AEROLITE theme ...
  copy /Y %CONFIG%\aerolite.theme %THEMES%
)

echo Activating AEROLITE theme ...
powershell -command "Start-Process %THEMES%\aerolite.theme"

echo sleep 5 seconds ...
ping 127.0.0.1 -n 5 > NUL 2>&1

taskkill /F /IM SystemSettings.exe 2>nul

echo sleep 5 seconds ...
ping 127.0.0.1 -n 5 > NUL 2>&1

echo Removing the desktop wallpaper ...
reg add "HKCU\Control Panel\Desktop" /v WallPaper /t REG_SZ /d " " /f 1>nul
RUNDLL32.EXE user32.dll,UpdatePerUserSystemParameters

echo Setting the desktop colour ...
%TOOLS%\setbgcol %R% %G% %B%

echo ####### %0 #######
GOTO END

:USAGE
echo "usage: %0 <R> <G> <B>"
echo.

:END

